package com.ruoyi.system.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.SysTrainingScore;
import com.ruoyi.system.domain.vo.ReportDto;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface ISysTrainingScoreService {

    SysTrainingScore checkStatusAndControlsName(Long userId, String controlsName);

    AjaxResult uploadReport(MultipartFile file, String fileName, Long id);

    AjaxResult submitReport(String content, Long userId);

    void updateByPrimaryKeySelective(SysTrainingScore sysTrainingScore);

    SysTrainingScore selectByUserId(Long userId);

    List<SysTrainingScore> selectAllReportContent();

    PageInfo<ReportDto> teacherGetReport(Integer index, Integer size, Double reportWeight, Double operatorWeight, String keyWord, String stuClass);

    List<String>selectClass();

    void deleteByUserId(Long userId);

    void insertByUserId(Long userId);

    AjaxResult downloadReport(HttpServletResponse response, Long id);
}
